GIT-MERGETOOL(1)

NAME
git-mergetool - Run merge conflict resolution tools to resolve merge conflicts

SYNOPSIS
git-mergetool [--tool=<tool>] [<file>]...

DESCRIPTION
Use git mergetool to run one of several merge utilities to resolve merge conflicts. It is typically run after git-merge(1). If one or more <file> parameters are given, the merge tool program will be run to resolve differences on each file. If no <file> names are specified, git mergetool will run the merge tool program on every file with merge conflicts.

OPTIONS

-t or --tool=<tool>
    Use the merge resolution program specified by <tool>. Valid merge tools are: kdiff3, tkdiff, meld, xxdiff, emerge, and vimdiff. If a merge resolution program is not specified, git mergetool will use the configuration variable merge.tool. If the configuration variable merge.tool is not set, git mergetool will pick a suitable default.

AUTHOR
Written by Theodore Y Ts'o <tytso@mit.edu>

DOCUMENTATION
Documentation by Theodore Y Ts'o.

GIT
Part of the git(7) suite